Subject: Re: [PATCH 05/23] pack v4: add commit object parsing

From: Junio C Hamano <[email-masked]>
Date: Tue, 27 Aug 2013 10:42:53 -0700

Nicolas Pitre <[email-masked]> writes:

> Hmmm....  The problem I have with split_ident_line() right now is about 
> the fact that it is too liberal with whitespaces.  Here I must be sure I 
> can deconstruct a commit object and be sure I still can regenerate it 
> byte for byte in order to match its SHA1 signature.

Yeah, I now see.  It's the same "accept with leniency"
get_sha1_hex() does, which is not appropriate for the 
purpose of this codepath.